Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.util.utiltest
Class StreamsTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.bouncycastle.util.utiltest.StreamsTest

All Implemented Interfaces:
  junit.framework.Test

public class StreamsTest
extends junit.framework.TestCase

Constructor Summary
`StreamsTest()`

Method Summary
`void` | `testReadLenBytesFully()`
`void` | `testReadLenBytesFullyHostileLengthDoesNotOverAllocate()`
`void` | `testReadLenBytesFullyNegativeLength()`
`void` | `testReadLenBytesFullyPartialReads()`
`void` | `testReadLenBytesFullyShortStreamThrows()`
`void` | `testReadLenBytesFullyZeroLength()`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, setUp, tearDown, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StreamsTest

    public StreamsTest()

Method Detail

### testReadLenBytesFully

    public void testReadLenBytesFully()
                               throws java.io.IOException

  Throws:
    `java.io.IOException`

### testReadLenBytesFullyZeroLength

    public void testReadLenBytesFullyZeroLength()
                                         throws java.io.IOException

  Throws:
    `java.io.IOException`

### testReadLenBytesFullyPartialReads

    public void testReadLenBytesFullyPartialReads()
                                           throws java.io.IOException

  Throws:
    `java.io.IOException`

### testReadLenBytesFullyShortStreamThrows

    public void testReadLenBytesFullyShortStreamThrows()

### testReadLenBytesFullyHostileLengthDoesNotOverAllocate

    public void testReadLenBytesFullyHostileLengthDoesNotOverAllocate()

### testReadLenBytesFullyNegativeLength

    public void testReadLenBytesFullyNegativeLength()
                                             throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD